using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;
using fatd_faturamento.BLL.RegraNegocio;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempFaturaNF3EA
    {

        public void Insert(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();

                dalTempFaturaNF3EA.Insert(objTempFaturaNF3EA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void InsertFatwinA(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();

                dalTempFaturaNF3EA.InsertFatwinA(objTempFaturaNF3EA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();

                dalTempFaturaNF3EA.Update(objTempFaturaNF3EA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();

                dalTempFaturaNF3EA.Update_1(objTempFaturaNF3EA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_2(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();

                dalTempFaturaNF3EA.Update_2(objTempFaturaNF3EA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_Fatwin(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();

                dalTempFaturaNF3EA.Update_Fatwin(objTempFaturaNF3EA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_Fatwin2(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();

                dalTempFaturaNF3EA.Update_Fatwin2(objTempFaturaNF3EA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();

                dalTempFaturaNF3EA.Delete(objTempFaturaNF3EA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void DeleteFatwinA(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();

                dalTempFaturaNF3EA.DeleteFatwinA(objTempFaturaNF3EA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;
            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select(objTempFaturaNF3EA);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTempFaturaNF3EA> Select_1(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            var lstTempFaturaNF3EA = new List<entidadeTempFaturaNF3EA>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select_1(objTempFaturaNF3EA);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaNF3EA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaNF3EA>(dt);

                return lstTempFaturaNF3EA;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTempFaturaNF3EA> Select_2(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            var lstTempFaturaNF3EA = new List<entidadeTempFaturaNF3EA>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select_2(objTempFaturaNF3EA);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaNF3EA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaNF3EA>(dt);

                return lstTempFaturaNF3EA;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTempFaturaNF3EA> Select_3(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            var lstTempFaturaNF3EA = new List<entidadeTempFaturaNF3EA>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select_3(objTempFaturaNF3EA);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaNF3EA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaNF3EA>(dt);

                return lstTempFaturaNF3EA;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTempFaturaNF3EA> Select_4(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            var lstTempFaturaNF3EA = new List<entidadeTempFaturaNF3EA>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select_4(objTempFaturaNF3EA);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaNF3EA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaNF3EA>(dt);

                return lstTempFaturaNF3EA;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTempFaturaNF3EA> Select_5(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            var lstTempFaturaNF3EA = new List<entidadeTempFaturaNF3EA>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select_5(objTempFaturaNF3EA);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaNF3EA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaNF3EA>(dt);

                return lstTempFaturaNF3EA;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTempFaturaNF3EA> Select_6(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            var lstTempFaturaNF3EA = new List<entidadeTempFaturaNF3EA>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select_6(objTempFaturaNF3EA);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaNF3EA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaNF3EA>(dt);

                return lstTempFaturaNF3EA;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTempFaturaNF3EA> Select_7(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            var lstTempFaturaNF3EA = new List<entidadeTempFaturaNF3EA>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select_7(objTempFaturaNF3EA);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaNF3EA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaNF3EA>(dt);

                return lstTempFaturaNF3EA;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTempFaturaNF3EA> Select_8(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            var lstTempFaturaNF3EA = new List<entidadeTempFaturaNF3EA>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select_8(objTempFaturaNF3EA);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaNF3EA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaNF3EA>(dt);

                return lstTempFaturaNF3EA;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTempFaturaNF3EA> Select_9(entidadeTempFaturaNF3EA objTempFaturaNF3EA)
        {
            dalTempFaturaNF3EA dalTempFaturaNF3EA = null;

            var lstTempFaturaNF3EA = new List<entidadeTempFaturaNF3EA>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTempFaturaNF3EA = new dalTempFaturaNF3EA();
                dt = dalTempFaturaNF3EA.Select_9(objTempFaturaNF3EA);

                
                
                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaNF3EA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaNF3EA>(dt);

                return lstTempFaturaNF3EA;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
